Package org.apache.sysds.common

## Enum Types.BlockType

- java.lang.Object
- - java.lang.Enum<Types.BlockType>
  - - org.apache.sysds.common.Types.BlockType

All Implemented Interfaces:
  `Serializable`, `Comparable<Types.BlockType>`

Enclosing class:
  Types

    public static enum Types.BlockType
    extends Enum<Types.BlockType>

Serialization block types (empty, dense, sparse, ultra-sparse)

### Enum Constant Summary

Enum Constants
`DEDUP_BLOCK`
`DENSE_BLOCK`
`EMPTY_BLOCK`
`SPARSE_BLOCK`
`ULTRA_SPARSE_BLOCK`

### Method Summary

All Methods Static Methods Concrete Methods
`static Types.BlockType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static Types.BlockType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EMPTY_BLOCK

    public static final Types.BlockType EMPTY_BLOCK

#### ULTRA_SPARSE_BLOCK

    public static final Types.BlockType ULTRA_SPARSE_BLOCK

#### SPARSE_BLOCK

    public static final Types.BlockType SPARSE_BLOCK

#### DENSE_BLOCK

    public static final Types.BlockType DENSE_BLOCK

#### DEDUP_BLOCK

    public static final Types.BlockType DEDUP_BLOCK

### Method Detail

#### values

    public static Types.BlockType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Types.BlockType c : Types.BlockType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Types.BlockType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null